#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=taiyuan2.31_base.ps
projection=-JM16.0c+
region=-R111.6/113.9/36.5/39.0
gmt psbasemap $region $projection -Bxa1.0f0.1 -Bya1.0f0.1 -BWeSn+t'Base Map taiyuan2.31' -K > $psfile

# Standard Topography (ETOPO1)
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd

# Coastlines and rivers
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile

# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    37.115   111.913
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    37.304   112.020
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    37.384   112.494
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    37.423   112.602
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    37.577   113.630
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    37.931   112.505
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    37.930   112.535
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    38.101   111.971
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    38.831   112.772
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    38.160   112.468
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    37.441   112.360
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    38.889   112.664
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    37.516   112.084
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    37.769   112.359
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    37.595   112.481
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    37.931   112.523
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    37.071   112.195
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    37.107   113.629
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    38.459   112.699
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    37.475   113.533
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    37.920   112.546
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    37.637   112.699
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    37.620   112.472
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    37.770   112.645
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    37.697   112.578
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    36.815   111.686
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    37.916   112.522
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    37.947   112.486
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    37.011   112.016
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    37.174   111.958
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    37.550   112.505
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    37.859   112.563
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    37.344   111.818
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    36.637   111.887
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    37.951   112.448
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    36.900   111.718
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    37.829   112.571
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    37.278   111.860
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    38.677   112.457
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    38.877   112.998
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    38.196   112.644
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    37.388   112.277
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    38.908   112.899
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    37.577   112.429
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    38.286   113.797
END

# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.116   111.914
    37.115   111.913
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.142   111.728
    37.115   111.913
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.303   112.018
    37.304   112.020
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.389   112.012
    37.304   112.020
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.376   112.499
    37.384   112.494
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.732   112.453
    37.384   112.494
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.424   112.601
    37.423   112.602
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.381   112.613
    37.423   112.602
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.577   113.630
    37.577   113.630
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.600   113.600
    37.577   113.630
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.932   112.500
    37.931   112.505
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.883   112.436
    37.931   112.505
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.931   112.532
    37.930   112.535
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.900   112.400
    37.930   112.535
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.099   111.969
    38.101   111.971
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.025   111.916
    38.101   111.971
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.826   112.771
    38.831   112.772
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.900   112.800
    38.831   112.772
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.158   112.465
    38.160   112.468
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.100   112.500
    38.160   112.468
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.440   112.362
    37.441   112.360
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.453   112.390
    37.441   112.360
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.885   112.661
    38.889   112.664
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.800   112.800
    38.889   112.664
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.517   112.082
    37.516   112.084
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.540   111.900
    37.516   112.084
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.767   112.355
    37.769   112.359
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.720   112.350
    37.769   112.359
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.595   112.478
    37.595   112.481
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.821   112.664
    37.595   112.481
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.929   112.520
    37.931   112.523
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.918   112.441
    37.931   112.523
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.070   112.198
    37.071   112.195
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    36.848   111.794
    37.071   112.195
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.108   113.628
    37.107   113.629
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.098   113.616
    37.107   113.629
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.456   112.697
    38.459   112.699
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.464   112.662
    38.459   112.699
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.477   113.535
    37.475   113.533
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.600   113.630
    37.475   113.533
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.920   112.544
    37.920   112.546
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.960   112.580
    37.920   112.546
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.634   112.696
    37.637   112.699
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.633   112.700
    37.637   112.699
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.618   112.471
    37.620   112.472
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.595   112.454
    37.620   112.472
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.767   112.638
    37.770   112.645
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.766   112.601
    37.770   112.645
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.694   112.576
    37.697   112.578
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.711   112.518
    37.697   112.578
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    36.818   111.679
    36.815   111.686
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    36.769   111.681
    36.815   111.686
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.914   112.519
    37.916   112.522
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.810   112.260
    37.916   112.522
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.945   112.486
    37.947   112.486
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.910   112.370
    37.947   112.486
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.010   112.012
    37.011   112.016
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    36.920   111.880
    37.011   112.016
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.175   111.953
    37.174   111.958
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.410   111.500
    37.174   111.958
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.552   112.502
    37.550   112.505
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.480   112.460
    37.550   112.505
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.858   112.561
    37.859   112.563
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.660   112.670
    37.859   112.563
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.336   111.821
    37.344   111.818
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.227   112.041
    37.344   111.818
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    36.636   111.880
    36.637   111.887
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    36.780   111.760
    36.637   111.887
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.949   112.448
    37.951   112.448
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.030   112.470
    37.951   112.448
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    36.900   111.715
    36.900   111.718
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    36.840   111.600
    36.900   111.718
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.828   112.570
    37.829   112.571
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.769   112.560
    37.829   112.571
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.276   111.859
    37.278   111.860
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.303   111.907
    37.278   111.860
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.678   112.457
    38.677   112.457
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.637   112.490
    38.677   112.457
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.879   112.996
    38.877   112.998
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.878   113.037
    38.877   112.998
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.197   112.642
    38.196   112.644
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.243   112.664
    38.196   112.644
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.381   112.266
    37.388   112.277
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.202   112.402
    37.388   112.277
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.906   112.893
    38.908   112.899
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.885   112.842
    38.908   112.899
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    37.572   112.426
    37.577   112.429
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    37.617   112.428
    37.577   112.429
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.282   113.793
    38.286   113.797
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.324   113.751
    38.286   113.797
END

# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    37.115   111.913   -30.368     1.628     2.449
    37.304   112.020    21.038     2.831     3.093
    37.384   112.494    35.233     4.880     5.162
    37.423   112.602    -9.233     1.272     1.526
    37.577   113.630   -33.356     1.708     2.102
    37.931   112.505    18.612     1.877     2.697
    37.930   112.535    26.524     1.544     1.832
    38.101   111.971   -79.413     1.995     2.150
    38.831   112.772   -13.680     2.366     3.243
    38.160   112.468    22.418     2.265     3.230
    37.441   112.360     7.970     2.134     3.062
    38.889   112.664     1.619     2.879     4.105
    37.516   112.084    34.855     2.047     2.926
    37.769   112.359    12.598     2.729     4.710
    37.595   112.481    17.698     2.098     3.007
    37.931   112.523    14.227     1.371     2.128
    37.071   112.195     7.169     1.276     1.804
    37.107   113.629   -63.188     1.708     2.097
    38.459   112.699   -39.225     1.263     1.703
    37.475   113.533   -25.164     1.635     2.587
    37.920   112.546   -14.262     1.342     1.913
    37.637   112.699   -39.884     1.810     2.283
    37.620   112.472   -42.416     1.553     1.658
    37.770   112.645   -19.277     1.339     1.783
    37.697   112.578     0.065     1.353     1.751
    36.815   111.686    22.714     1.325     1.909
    37.916   112.522    24.043     1.705     2.338
    37.947   112.486    16.189     1.303     1.802
    37.011   112.016     7.743     2.371     2.940
    37.174   111.958    50.399     1.581     2.161
    37.550   112.505    23.983     1.820     2.351
    37.859   112.563    14.276     1.679     2.363
    37.344   111.818    64.490     1.761     2.622
    36.637   111.887     7.783     1.557     2.503
    37.951   112.448    15.073     1.585     2.876
    36.900   111.718    38.815     1.992     3.184
    37.829   112.571   -15.260     1.148     1.328
    37.278   111.860    71.408     1.878     2.499
    38.677   112.457   -85.478     1.611     1.786
    38.877   112.998    46.179     2.962     4.001
    38.196   112.644    57.051     1.570     2.518
    37.388   112.277   -45.614     1.329     4.765
    38.908   112.899   -29.446     2.674     4.230
    37.577   112.429   -72.747     2.036     2.622
    38.286   113.797    55.235     3.264     4.167
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    36.590   111.646    26.241     1.904     3.578
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    36.590   111.668   Hypocentroid
END

# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    36.590   111.646     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    36.590   111.646     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    36.545   111.646   5 km
END
