#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=taiyuan2.31_dcal.ps
projection=-JM16.0c+
region=-R109.3/116.2/34.7/40.8
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration taiyuan2.31' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.115   111.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.115   111.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.384   112.494
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.542   113.647
    37.423   112.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.423   112.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.423   112.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.423   112.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.029   112.032
    37.423   112.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.423   112.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.220   113.196
    37.423   112.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.423   112.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.577   113.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.577   113.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.751   114.422
    37.577   113.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.542   113.647
    37.577   113.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.577   113.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.577   113.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.577   113.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.577   113.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.931   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.931   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.931   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.931   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.931   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    37.930   112.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.930   112.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.930   112.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.930   112.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.930   112.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.930   112.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.930   112.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    38.101   111.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    38.101   111.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.101   111.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    38.101   111.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.029   112.032
    38.101   111.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.101   111.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.383   114.024
    38.831   112.772
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    38.831   112.772
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    38.160   112.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    38.160   112.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    38.160   112.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.160   112.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    38.160   112.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.029   112.032
    38.160   112.468
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.441   112.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.441   112.360
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.889   112.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.383   114.024
    38.889   112.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    38.889   112.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    38.889   112.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.900   111.667
    38.889   112.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.889   112.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.516   112.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.516   112.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.516   112.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.516   112.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.516   112.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.769   112.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.769   112.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.769   112.359
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.595   112.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.595   112.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.595   112.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.595   112.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.595   112.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.029   112.032
    37.595   112.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.595   112.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.595   112.481
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.931   112.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.931   112.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.931   112.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.931   112.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.931   112.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.931   112.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    37.931   112.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.931   112.523
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.071   112.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.071   112.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.071   112.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.084   111.370
    37.071   112.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.542   113.647
    37.071   112.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.071   112.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.220   113.196
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.751   114.422
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.432   114.048
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.185   113.948
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.892   114.164
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.048   113.925
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.107   113.629
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    38.459   112.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    38.459   112.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    38.459   112.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    38.459   112.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.459   112.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.220   113.196
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.438   114.501
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.805   114.047
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.751   114.422
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.248   114.307
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.432   114.048
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.475   113.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.920   112.546
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.920   112.546
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.920   112.546
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.920   112.546
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.920   112.546
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    37.920   112.546
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.920   112.546
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.637   112.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.637   112.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.637   112.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.637   112.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.637   112.699
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.620   112.472
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.620   112.472
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.620   112.472
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.620   112.472
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.620   112.472
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.620   112.472
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.770   112.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.770   112.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.770   112.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.770   112.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.841   112.883
    37.770   112.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.770   112.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.770   112.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.697   112.578
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.434   111.795
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.084   111.370
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.029   112.032
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.381   111.451
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.312   111.626
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.202   112.351
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.023   111.891
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.000   111.625
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.377   112.595
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    36.815   111.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.916   112.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.916   112.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.916   112.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.569   113.720
    37.916   112.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.916   112.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    37.916   112.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.928   112.741
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.618   112.891
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.377   112.595
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.202   112.351
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.029   112.032
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.947   112.486
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.011   112.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.011   112.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.220   113.196
    37.011   112.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.084   111.370
    37.011   112.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.011   112.016
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.029   112.032
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.312   111.626
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.202   112.351
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.377   112.595
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.618   112.891
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.928   112.741
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.434   111.795
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.023   111.891
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.000   111.625
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.115   111.053
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.174   111.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.550   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.377   112.595
    37.550   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.618   112.891
    37.550   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.202   112.351
    37.550   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.928   112.741
    37.550   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.029   112.032
    37.550   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.434   111.795
    37.550   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.550   112.505
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.928   112.741
    37.859   112.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.859   112.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.618   112.891
    37.859   112.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.586   112.060
    37.859   112.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.377   112.595
    37.859   112.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.202   112.351
    37.859   112.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.029   112.032
    37.859   112.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.312   111.626
    37.859   112.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.859   112.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.312   111.626
    37.344   111.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.029   112.032
    37.344   111.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.202   112.351
    37.344   111.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.344   111.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.377   112.595
    37.344   111.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.434   111.795
    37.344   111.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.618   112.891
    37.344   111.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.381   111.451
    37.344   111.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.928   112.741
    37.344   111.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.344   111.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.434   111.795
    36.637   111.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.381   111.451
    36.637   111.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.023   111.891
    36.637   111.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.000   111.625
    36.637   111.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.115   111.053
    36.637   111.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.821   111.168
    36.637   111.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.084   111.370
    36.637   111.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    36.637   111.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    36.637   111.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.951   112.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.951   112.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.084   111.370
    36.900   111.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    36.900   111.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    36.900   111.718
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.829   112.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.024   114.083
    37.829   112.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.829   112.571
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.533   111.244
    37.278   111.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.928   112.741
    37.278   111.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.084   111.370
    37.278   111.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.278   111.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.278   111.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.427   113.003
    38.677   112.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052   113.054
    38.677   112.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.778   111.720
    38.677   112.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.928   112.741
    38.677   112.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.969   113.568
    38.677   112.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.917   112.428
    38.677   112.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430   113.017
    38.677   112.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.877   112.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.877   112.998
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.196   112.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.196   112.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.388   112.277
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.388   112.277
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.908   112.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.908   112.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.577   112.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    37.577   112.429
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.418   114.708
    38.286   113.797
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.713   112.434
    38.286   113.797
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    37.713   112.434     0.300
    36.542   113.647     0.300
    38.427   113.003     0.300
    37.569   113.720     0.300
    37.029   112.032     0.300
    36.841   112.883     0.300
    36.220   113.196     0.300
    38.248   114.307     0.300
    37.418   114.708     0.300
    36.751   114.422     0.300
    37.533   111.244     0.300
    39.052   113.054     0.300
    39.383   114.024     0.300
    37.969   113.568     0.300
    39.900   111.667     0.300
    36.084   111.370     0.300
    36.805   114.047     0.300
    36.432   114.048     0.300
    36.185   113.948     0.300
    35.892   114.164     0.300
    36.048   113.925     0.300
    37.438   114.501     0.300
    36.434   111.795     0.300
    36.084   111.370     0.300
    36.381   111.451     0.300
    37.312   111.626     0.300
    37.202   112.351     0.300
    36.023   111.891     0.300
    36.000   111.625     0.300
    37.377   112.595     0.300
    37.928   112.741     0.300
    37.618   112.891     0.300
    36.115   111.053     0.300
    37.586   112.060     0.300
    35.821   111.168     0.300
    38.024   114.083     0.300
    38.778   111.720     0.300
    39.917   112.428     0.300
    38.430   113.017     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.115   111.913     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.304   112.020     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.384   112.494     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.423   112.602     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.577   113.630     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.931   112.505     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.930   112.535     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.101   111.971     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.831   112.772     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.160   112.468     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.441   112.360     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.889   112.664     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.516   112.084     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.769   112.359     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.595   112.481     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.931   112.523     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.071   112.195     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.107   113.629     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.459   112.699     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.475   113.533     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.920   112.546     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.637   112.699     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.620   112.472     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.770   112.645     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.697   112.578     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    36.815   111.686     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.916   112.522     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.947   112.486     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.011   112.016     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.174   111.958     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.550   112.505     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.859   112.563     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.344   111.818     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    36.637   111.887     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.951   112.448     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    36.900   111.718     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.829   112.571     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.278   111.860     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.677   112.457     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.877   112.998     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.196   112.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.388   112.277     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.908   112.899     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    37.577   112.429     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.286   113.797     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    37.728   112.487     0.000   222.000   222.000
    37.728   112.487     0.000   444.000   444.000
END
