#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=taiyuan2.31_epa_1.ps
projection=-JM16.0c+
region=-R92.6/132.9/21.5/54.0
gmt psbasemap $region $projection -Bxa5.0f1.0 -Bya5.0f1.0 -BWeSn+t'Empirical Path Anomalies: Pn taiyuan2.31' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    37.728   112.487     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.551   112.468     0.068
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.866   111.564    -0.019
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.598   110.033     0.139
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.032   108.924    -0.185
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.211   117.124    -0.104
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.038   116.174    -0.108
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.006   117.667    -0.110
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.982   116.790     0.079
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.882   111.256    -0.026
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.132   114.012     0.150
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.359   116.493    -0.032
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.853   118.048     0.008
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.788   118.627     0.037
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.663   118.894     0.312
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.050   118.307     0.140
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.087   103.845    -0.156
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.641   119.243     0.266
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    30.544   114.350     0.185
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.550   112.555    -0.089
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    32.052   118.854     0.035
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.333   111.333    -0.096
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.650   103.605     0.194
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.768   115.801     0.226
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.096   121.187    -0.070
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.813    98.219    -0.465
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    26.459   106.664    -0.059
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.926   120.664    -0.092
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    24.943   118.592     0.075
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    25.123   102.740     0.081
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    44.616   129.592     0.288
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    29.700    91.150     0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    50.382   103.281    -0.070
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    52.243   104.271     0.186
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    57.819   114.004     0.235
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.418   114.708    -0.108
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    32.553   111.525     0.072
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    42.293   118.975     0.029
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.821    87.695     0.266
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.603   105.930     0.007
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    32.894   107.025    -0.278
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.895   113.983     0.146
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.694   106.850     0.170
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.441   115.523     0.302
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.396   116.562    -0.045
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.140   117.254    -0.251
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.661   115.814     0.217
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.829   114.900     0.036
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.248   114.307     0.204
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.758   119.093    -0.173
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.015   117.916     0.146
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.660   117.193     0.163
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.829   119.877    -0.110
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.402   117.486    -0.041
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.053   118.390     0.145
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.737   118.295    -0.131
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    41.221   116.621    -0.218
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.913   115.837     0.050
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.739   114.616     0.458
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.819   116.158     0.349
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.017   115.560     0.465
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.751   114.422     0.213
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.378   114.108     0.252
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.035   113.619     0.402
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.383   114.024     0.190
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.052   113.054    -0.094
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.417   111.101     0.249
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.084   111.370    -0.091
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.837   110.647    -0.059
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.987   120.720     0.014
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.511   117.817     0.186
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.638   117.038    -0.100
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.402   116.347    -0.072
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    35.382   117.023    -0.154
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.751   119.202    -0.037
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.546   118.891     0.073
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    35.525   117.983    -0.165
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.920   118.636    -0.191
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.172   118.847    -0.017
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.889   117.354    -0.055
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    44.549   120.885     0.295
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.996   113.142     0.302
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.642   112.600    -0.276
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.383   111.842     0.114
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.839   110.008     0.077
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.689   108.733     0.292
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.300   108.081    -0.059
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.243   106.192    -0.257
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.937   105.607    -0.229
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.661   114.538     0.045
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.511   113.386     0.113
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.615   111.450     0.020
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.017   111.037    -0.102
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.712   113.297     0.256
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.136   112.267     0.123
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.778   115.454    -0.018
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.173   112.729     0.062
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    32.847   110.833     0.041
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.131   111.492     0.076
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    33.567   117.564    -0.081
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    32.906   117.295    -0.127
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    32.811   118.266    -0.015
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.689   115.884     0.032
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.404   116.336     0.279
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    30.699   118.378     0.026
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    30.584   117.021    -0.024
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    30.208   117.471     0.000
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    30.843   120.095     0.172
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.182   112.931     0.206
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.919   106.704    -0.493
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.294   106.681    -0.106
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.207   106.441    -0.713
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.270   105.980    -0.332
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    32.949   104.678    -0.237
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    33.736   105.758    -0.267
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.431   104.024    -0.089
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.485   105.903     0.018
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.733   105.322    -0.083
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    35.019   106.262    -0.492
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.528   105.761    -0.042
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    37.195   104.080    -0.026
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.392   102.109    -0.265
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    39.411    99.814    -0.210
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.945   104.685    -0.134
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    30.910   103.758    -0.219
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.864   115.063    -0.022
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.533   111.244     0.094
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.220   113.196     0.047
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    43.979   119.369    -0.059
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.900   116.081     0.086
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.898   115.267     0.067
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.900   111.667     0.217
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.048   113.925     0.257
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    30.800   111.300     0.176
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.231   117.166    -0.196
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    33.543   118.153     0.238
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.844   117.168     0.138
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.826   114.899     0.016
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.542   113.647     0.150
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.519   111.704     0.272
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.710   110.427     0.113
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.130   115.154     0.229
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.040   111.157     0.119
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.943   118.983    -0.056
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    30.276   109.497    -0.069
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    41.828   123.578    -0.011
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.697   125.997     0.493
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.493   113.780     0.092
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.741   111.908     0.240
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    30.808   111.010     0.429
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    32.648   110.768    -0.035
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.299   109.688    -0.029
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.779   107.434    -0.607
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    39.223   106.357    -0.071
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.181   105.166    -0.083
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    35.200   105.275    -0.283
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.982   103.263    -0.070
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.843    99.618     0.068
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    37.569   113.720    -0.061
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.841   112.883     0.144
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.120   111.237     0.085
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    35.633   103.255    -0.085
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.775   101.038     0.080
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.510   114.980     0.195
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.029   112.032     0.509
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.565   111.541    -0.004
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.656   101.190    -0.380
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.135   113.237     0.800
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.250   113.219     0.079
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.571   110.461     0.072
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    35.178   109.085    -0.127
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.284   103.717    -0.119
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.514    95.800    -0.512
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    46.997    89.530     0.432
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.814    86.190     0.133
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.255   111.658     0.179
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    35.061   108.077    -0.162
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.958   109.838     0.038
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.709   108.753    -0.088
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.570   108.217    -0.076
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    33.885   109.948    -0.127
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.325   108.323    -0.021
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    34.466   110.319    -0.047
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    33.358   104.975    -0.332
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    35.463   106.665    -0.566
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    22.764   108.473    -0.425
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.084   111.370     0.000
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.383   114.024     0.194
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    39.917   112.428    -0.061
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    29.422   106.582     0.191
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    28.322   109.752     0.308
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.231   110.756     0.311
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    34.053   108.321    -0.150
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.157   115.133     0.189
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.102   116.082     0.244
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.536   117.127     0.086
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.899   116.596     0.139
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.805   114.047     0.222
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.090   114.462    -0.280
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.750   114.419     0.164
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.432   114.048     0.085
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.185   113.948     0.229
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.609   105.927     0.009
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    30.134   115.895     0.088
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.805   103.322    -0.174
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.427   113.003    -0.231
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.110   112.399     0.165
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    26.503   101.743    -0.034
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.903   115.092     0.111
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.575   120.487     0.202
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    36.671   101.257     0.046
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    29.483   119.270    -0.038
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.801   125.448     0.091
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    47.536   122.882     0.116
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    49.267   119.742     0.179
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    36.087    97.862    -0.299
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    30.115   102.178    -0.091
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    25.608   115.770     0.218
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    45.739   127.405     0.011
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    25.290   110.364     0.435
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    26.540   101.693    -0.040
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    47.353   130.235     0.455
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.573    93.014     0.088
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    26.109    99.945     0.338
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    23.360   103.160     0.023
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    19.029   109.843     0.603
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    38.215   100.931     0.028
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.728   100.192    -0.082
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    35.581   111.398     0.129
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.668   113.722     0.237
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.842    86.208     0.131
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    32.675   109.037    -0.096
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.957   114.158     0.165
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.710   113.673     0.088
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    38.430   113.017    -0.419
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    35.400   110.067     0.062
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    40.018   116.170    -0.067
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    47.865   107.053    -0.117
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.442   127.884     0.324
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    51.681   103.644     0.293
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.542   138.209     0.192
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    56.837   124.893     0.035
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    40.018   116.168    -0.158
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    47.835   106.395    -0.092
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.442   127.884     0.098
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.377   127.364     0.206
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    44.200   131.989     0.487
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.198    94.814     0.335
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    34.551   112.468   LYN  
    40.866   111.564   HHC  
    40.598   110.033   BTO  
    34.032   108.924   XAN  
    36.211   117.124   TIA  
    40.038   116.174   BJI  
    38.006   117.667   WDI  
    33.982   116.790   HIB  
    31.882   111.256   BKN  
    32.132   114.012   XYA  
    33.359   116.493   MCG  
    34.853   118.048   CSN  
    35.788   118.627   YSU  
    36.663   118.894   CNL1 
    34.050   118.307   SUQ  
    36.087   103.845   LZH  
    34.641   119.243   LYG  
    30.544   114.350   WHN  
    29.550   112.555   HRG  
    32.052   118.854   NJ2  
    29.333   111.333   CHD  
    32.650   103.605   SOA  
    28.768   115.801   NNC  
    31.096   121.187   SSE  
    39.813    98.219   JAG  
    26.459   106.664   GYA  
    27.926   120.664   WEZ  
    24.943   118.592   QZH  
    25.123   102.740   KMI  
    44.616   129.592   MDJ  
    29.700    91.150   LSA  
    50.382   103.281   ZAK  
    52.243   104.271   IRK  
    57.819   114.004   BOD  
    37.418   114.708   HNS  
    32.553   111.525   DAJ  
    42.293   118.975   CIF  
    43.821    87.695   WMQ  
    38.603   105.930   YCH  
    32.894   107.025   HZG  
    41.895   113.983   Hde  
    39.694   106.850   Wuh  
    40.441   115.523   Sach 
    40.396   116.562   Mdy  
    40.140   117.254   NscB 
    39.661   115.814   Shfs 
    40.829   114.900   ZjkB 
    38.248   114.307   HbzB 
    39.758   119.093   CLI1 
    41.015   117.916   CdeB 
    38.660   117.193   Xzz  
    40.829   119.877   JIA  
    40.402   117.486   XlgH 
    40.053   118.390   Qxi  
    39.737   118.295   DheH 
    41.221   116.621   Fng  
    40.913   115.837   Ccg  
    39.739   114.616   YuxH 
    37.819   116.158   Fuch 
    38.017   115.560   Shnx 
    36.751   114.422   YnH  
    40.378   114.108   Tzh  
    40.035   113.619   Xip  
    39.383   114.024   Lqu  
    39.052   113.054   Daix 
    36.417   111.101   Pux  
    36.084   111.370   LNF1 
    34.837   110.647   Yji  
    36.987   120.720   Lya  
    36.511   117.817   Psh  
    36.638   117.038   Jin  
    35.402   116.347   Jxgs 
    35.382   117.023   Zox  
    35.751   119.202   Wln  
    35.546   118.891   Jux  
    35.525   117.983   Feix 
    34.920   118.636   Lins 
    35.172   118.847   Jun  
    34.889   117.354   Tzg  
    44.549   120.885   Lbe  
    40.996   113.142   Jini 
    40.642   112.600   Lgcg 
    40.383   111.842   Hlg  
    39.839   110.008   Dshe 
    40.689   108.733   Xsz  
    41.300   108.081   WJH  
    39.243   106.192   Zbl  
    38.937   105.607   Byht 
    35.661   114.538   Xunx 
    34.511   113.386   Xmi  
    34.615   111.450   Sanx 
    34.017   111.037   Lus  
    33.712   113.297   Pds  
    33.136   112.267   Zenp 
    31.778   115.454   Shch 
    31.173   112.729   Zxg  
    32.847   110.833   Xux  
    33.131   111.492   Xicg 
    33.567   117.564   LBI  
    32.906   117.295   Bbu  
    32.811   118.266   Jash 
    31.689   115.884   JNZ  
    31.404   116.336   HOS  
    30.699   118.378   Jinx 
    30.584   117.021   Anq  
    30.208   117.471   Shta 
    30.843   120.095   HUZ  
    28.182   112.931   CNS1 
    34.919   106.704   Loxn 
    39.294   106.681   Szs  
    37.207   106.441   Txn  
    36.270   105.980   Skz  
    32.949   104.678   Wnx  
    33.736   105.758   Cxn  
    34.431   104.024   Mxn  
    34.485   105.903   TIS1 
    34.733   105.322   Ggu  
    35.019   106.262   Zjc  
    35.528   105.761   JngG 
    37.195   104.080   JTI  
    38.392   102.109   HXB  
    39.411    99.814   GTA  
    34.945   104.685   Loxi 
    30.910   103.758   CD2  
    38.864   115.063   Wax  
    37.533   111.244   Lish 
    36.220   113.196   Chaz 
    43.979   119.369   BZQ  
    43.900   116.081   XLT  
    41.898   115.267   Bcg  
    39.900   111.667   Qsh  
    36.048   113.925   Linx 
    30.800   111.300   Xxt  
    34.231   117.166   Xuz  
    33.543   118.153   Sih  
    31.844   117.168   HEF  
    40.826   114.899   ZJK  
    36.542   113.647   Shex 
    41.519   111.704   Wlh  
    41.710   110.427   BLM  
    31.130   115.154   Mac  
    31.040   111.157   Xbp  
    34.943   118.983   Gayu 
    30.276   109.497   ENH  
    41.828   123.578   SNY  
    41.697   125.997   THA1 
    35.493   113.780   Hxn  
    34.741   111.908   Yma  
    30.808   111.010   Sdp  
    32.648   110.768   SYT  
    38.299   109.688   YUN  
    37.779   107.434   Ychi 
    39.223   106.357   Stj  
    34.181   105.166   Lixn 
    35.200   105.275   Twi  
    35.982   103.263   Ljx  
    38.843    99.618   Sun  
    37.569   113.720   Xiy  
    36.841   112.883   Wxg  
    35.120   111.237   Xiax 
    35.633   103.255   Lxa  
    38.775   101.038   SNT  
    39.510   114.980   LynB 
    37.029   112.032   Jxu  
    35.565   111.541   Jiax 
    36.656   101.190   HUY  
    40.135   113.237   TTC  
    35.250   113.219   Jzu  
    35.571   110.461   Hcg  
    35.178   109.085   Tch  
    27.284   103.717   ZOT  
    40.514    95.800   AXX  
    46.997    89.530   FUY  
    41.814    86.190   KOL  
    35.255   111.658   Zts  
    35.061   108.077   BnxS 
    34.958   109.838   Puc  
    34.709   108.753   Jyg  
    34.570   108.217   Qial 
    33.885   109.948   Shx  
    33.325   108.323   Nis  
    34.466   110.319   Tgn  
    33.358   104.975   Wdu  
    35.463   106.665   Plg  
    22.764   108.473   YNG  
    36.084   111.370   LNF  
    39.383   114.024   Liq  
    39.917   112.428   Yyu  
    29.422   106.582   CQI  
    28.322   109.752   JIS  
    31.231   110.756   Xsn  
    34.053   108.321   Zzi  
    40.157   115.133   ZluB 
    40.102   116.082   BJI2 
    40.536   117.127   Tst  
    40.899   116.596   Lbg  
    36.805   114.047   Wuan 
    37.090   114.462   Xta  
    36.750   114.419   YnHD 
    36.432   114.048   Cixn 
    36.185   113.948   HshB 
    38.609   105.927   XKZ0 
    30.134   115.895   Hme  
    36.805   103.322   Ydg  
    38.427   113.003   Dxg  
    35.110   112.399   Jiy  
    26.503   101.743   PZH  
    35.903   115.092   Qfn  
    41.575   120.487   CHY1 
    36.671   101.257   Huyl 
    29.483   119.270   XAJ  
    43.801   125.448   CN2  
    47.536   122.882   NZN  
    49.267   119.742   HIA  
    36.087    97.862   XRD  
    30.115   102.178   GUN  
    25.608   115.770   HUC  
    45.739   127.405   BNX  
    25.290   110.364   GUL  
    26.540   101.693   Pga  
    47.353   130.235   HEG  
    43.573    93.014   BKO1 
    26.109    99.945   EYA  
    23.360   103.160   GEJ  
    19.029   109.843   QIZ  
    38.215   100.931   Bdk  
    38.728   100.192   Xwd  
    35.581   111.398   Hma  
    39.668   113.722   Hesh 
    41.842    86.208   Tmg  
    32.675   109.037   Ank  
    39.957   114.158   yay  
    36.710   113.673   SeHD 
    38.430   113.017   TYA  
    35.400   110.067   HeyXZ
    40.018   116.170   BJIXZ
    47.865   107.053   ULN  
    37.442   127.884   KSAR 
    51.681   103.644   TLY  
    36.542   138.209   MJAR 
    56.837   124.893   CLNS 
    40.018   116.168   BJT  
    47.835   106.395   SONM 
    37.442   127.884   KSRS 
    36.377   127.364   TJN  
    44.200   131.989   USRK 
    36.198    94.814   GOMU 
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    25.736    94.369   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
    23.786    95.764    -0.500
    23.786    97.759    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
    23.786    99.469     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
    23.786   101.464     0.250
    23.786   103.459     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
    24.791    94.365   Station Residuals (sec.)
    22.286    94.864   -2
    22.286    96.964   -1
    22.286    99.214   0
    22.286   100.639   +1
    22.286   102.664   +2
END
